# tspex

## Overview

tspex is a tissue-specificity calculator tool. It provides both an easy-to-use object-oriented Python API and a command-line interface (CLI) for calculating a variety of tissue-specificity metrics from gene expression data.

tspex features include:

  - Twelve different tissue-specificity metrics.
  - Integration with popular data analysis libraries, such as NumPy, SciPy, and pandas.
  - Visualization functions.
  - Support for Jupyter notebooks.

## Web version

tspex can be used through a web interface that is freely [available online](https://tspex.lge.ibi.unicamp.br/).

## Source code

tspex is an open source package distributed under the GPL-3.0 license. Its source code can be found in the [GitHub repository](https://github.com/apcamargo/tspex/). The source code of the web version is also available in [GitHub](https://github.com/apcamargo/tspex-webapp/).

## Installation

There are two ways to install tspex:

- Using pip:

```
pip install tspex
```

- Using conda:

```
conda install -c conda-forge -c bioconda tspex
```
